
using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.SessionState;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

/// <summary> 
/// Upload handler for uploading files. 
/// </summary> 
public class Upload : IHttpHandler, IRequiresSessionState
{

    public Upload()
    {
    }

    #region "IHttpHandler Members"

    public bool IsReusable
    {
        get { return true; }
    }

    public void ProcessRequest(HttpContext context)
    {      
        if (context.Request.Files.Count > 0)
        {
            // get the applications path 

            string uploadPath = context.Server.MapPath(context.Request.ApplicationPath + "/Repository");
            for (int j = 0; j <= context.Request.Files.Count - 1; j++)
            {
                // loop through all the uploaded files 
                // get the current file 
                HttpPostedFile uploadFile = context.Request.Files[j];
                // if there was a file uploded 
                if (uploadFile.ContentLength > 0)
                {                  
                    uploadFile.SaveAs(Path.Combine(uploadPath, uploadFile.FileName));
                }
            }
        }
        // Used as a fix for a bug in mac flash player that makes the 
        // onComplete event not fire 
        HttpContext.Current.Response.Write(" ");
    }

    #endregion


}
